## eclipse-titan 5.5.1

=== common/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   
#   Baji, Laszlo
#   Balasko, Jeno
#   Baranyi, Botond
#   Beres, Szabolcs
#   Csondes, Tibor
#   Delic, Adam
#   Forstner, Matyas
#   Kovacs, Ferenc
#   Ormandi, Matyas
#   Raduly, Csaba
#   Szabo, Janos Zoltan – initial implementation
#   Zalanyi, Balazs Andor
#
##############################################################################
# Makefile for the common directory of the TTCN-3 Test Executor

TOP := ..
include $(TOP)/Makefile.cfg

TARGETS :=

# The origin of GENERATED_SOURCES
ORIGINATORS := pattern_la.l  pattern_p.y  pattern_uni.y  config_preproc_la.l config_preproc_p.y

GENERATED_SOURCES := pattern_la.cc pattern_p.cc pattern_uni.cc config_preproc_la.cc config_preproc_p.tab.cc

# Sources in the CVS

STATIC_SOURCES := memory.c new.cc userinfo.c path.c config_preproc.cc Quadruple.cc Path2.cc ModuleVersion.cc JSON_Tokenizer.cc

ifndef MINGW
STATIC_SOURCES += NetworkHandler.cc
endif

ifeq ($(USAGE_STATS), yes)
  STATIC_SOURCES += usage_stats.cc
endif

ifeq ($(LICENSING), yes)
  STATIC_SOURCES += license.c
  ifeq ($(PLATFORM), WIN32)
    STATIC_SOURCES += hostid.c
    TARGETS += hostid$(EXESUFFIX)
  endif
  ifeq ($(PLATFORM), INTERIX)
    STATIC_SOURCES += hostid.c
    TARGETS += hostid$(EXESUFFIX)
  endif
endif

SOURCES := $(STATIC_SOURCES) $(GENERATED_SOURCES)

GENERATED_HEADERS := pattern_p.hh pattern_uni.hh config_preproc_p.tab.hh

GENERATED_OTHERS := pattern_p.output pattern_uni.output lex.backup

OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(SOURCES)))

DEPFILES := $(patsubst %.cc,%.d,$(patsubst %.c,%.d,$(SOURCES)))

SUBDIRS :=

CPPFLAGS += -D_REENTRANT

ifdef REGEX_DIR
  CPPFLAGS += -I$(REGEX_DIR)/include
endif

all run: $(OBJECTS) $(TARGETS)

install: $(OBJECTS) $(TARGETS)
ifdef MINGW
	@echo Skipped ${CURDIR} for MinGW
else
	mkdir -p $(INCDIR)
	cp version.h memory.h platform.h ttcn3float.hh pattern.hh CharCoding.hh JSON_Tokenizer.hh $(INCDIR)
ifneq ($(TARGETS), )
  ifeq ($(DEBUG), no)
	$(STRIP) $(TARGETS)
  endif
	mkdir -p $(BINDIR)
	cp $(TARGETS) $(BINDIR)
endif
endif

hostid$(EXESUFFIX): hostid.o license.o memory.o
	$(CC) $(LDFLAGS) -o $@ $^ $(LICENSE_LIBS) $(MINGW_LIBS)

pattern_la.cc: pattern_la.l
	$(FLEX) $(FLEXFLAGS) -o$@ $<

pattern_p.cc pattern_p.hh: pattern_p.y
	$(BISON) $(BISONFLAGS) $<

pattern_uni.cc pattern_uni.hh: pattern_uni.y
	$(BISON) $(BISONFLAGS) $<

config_preproc_la.cc: config_preproc_la.l
	$(FLEX) $(FLEXFLAGS) -o$@ $<

config_preproc_p.tab.cc config_preproc_p.tab.hh: config_preproc_p.y
	$(BISON) $(BISONFLAGS) -o config_preproc_p.tab.cc -p config_process_ $<

# Target-specific variable alteration
# Target-specific += causes make 3.79.1 to crash, hence this old style
ifdef OPENSSL_DIR
ifneq ($(OPENSSL_DIR), default)
license.o license.d: CPPFLAGS := $(CPPFLAGS) -I$(OPENSSL_DIR)/include
endif
endif

include ../Makefile.genrules


#vpath pattern_la.l        $(ABS_SRC)
#vpath pattern_p.y         $(ABS_SRC)
#vpath pattern_uni_lex.l   $(ABS_SRC)
#vpath pattern_uni.y       $(ABS_SRC)
#vpath config_preproc_la.l $(ABS_SRC)
#vpath config_preproc_p.y  $(ABS_SRC)

# no vpath for GENERATED_SOURCES !

=== compiler2/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   
#   Baji, Laszlo
#   Balasko, Jeno
#   Baranyi, Botond
#   Cserveni, Akos
#   Delic, Adam
#   Feher, Csaba
#   Forstner, Matyas
#   Kovacs, Ferenc
#   Kremer, Peter
#   Ormandi, Matyas
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#   Szalai, Gabor
#   Tatarka, Gabor
#   Zalanyi, Balazs Andor
#
##############################################################################
# Makefile for the integrated (TTCN-3 and ASN.1) compiler
# and the makefile generator

TOP := ..
include $(TOP)/Makefile.cfg

ifeq ($(USAGE_STATS), yes)
SOLARIS_LIBS  := -lresolv -lsocket -lnsl
SOLARIS8_LIBS := -lresolv -lsocket -lnsl
LINUX_LIBS := -lpthread -lrt
endif

ifeq ($(findstring g++, $(CXX)), g++)
  CXXFLAGS += -fno-exceptions
endif

ifdef REGEX_DIR
  CPPFLAGS += -I$(REGEX_DIR)/include
endif

ifdef OPENSSL_DIR
ifneq ($(OPENSSL_DIR), default)
  CPPFLAGS += -I$(OPENSSL_DIR)/include
  LDFLAGS  += -L$(OPENSSL_DIR)/lib
endif
endif

ifdef XMLDIR
ifeq ($(XMLDIR), default)
  XMLDIR := /usr
  # do not add -L/usr/lib to LDFLAGS, it's redundant
else
  LDFLAGS  += -L$(XMLDIR)/lib
endif

  CPPFLAGS += -I$(XMLDIR)/include/libxml2
endif

ifdef SRCDIR
  CPPFLAGS += -Iasn1
endif

# Too many "comparison between signed and unsigned"
CCFLAGS += -Wno-sign-compare

ifndef MINGW
TARGETS := compiler$(EXESUFFIX) ttcn3_makefilegen$(EXESUFFIX) tcov2lcov$(EXESUFFIX)
MANPAGES := compiler.1 ttcn3_makefilegen.1
else
TARGETS := compiler$(EXESUFFIX)
MANPAGES := compiler.1
MAYBE_PDFS := $(MANPAGES:.1=.pdf)
endif

PDFS := $(MANPAGES:.1=.pdf)

COMPILER_SOURCES := encdec.c enum.c functionref.c record.c record_of.c union.c \
PredefFunc.cc AST.cc Code.cc Constraint.cc CompilerError.cc \
CompField.cc CompType.cc EnumItem.cc Identifier.cc Int.cc \
main.cc Real.cc Setting.cc SigParam.cc string.cc subtype.cc Stopwatch.cc \
Type.cc Type_chk.cc Type_codegen.cc TypeCompat.cc \
Typestuff.cc ustring.cc Value.cc Valuestuff.cc XerAttributes.cc subtypestuff.cc \
CodeGenHelper.cc DebuggerStuff.cc

MFGEN_SOURCES := makefile.c xpather.cc ProjectGenHelper.cc

TCOV2LCOV_SOURCES := tcov2lcov.cc

SOURCES := $(COMPILER_SOURCES) $(MFGEN_SOURCES) $(TCOV2LCOV_SOURCES)

# All sources are static in this directory
STATIC_SOURCES := $(SOURCES)

COMPILER_OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(COMPILER_SOURCES)))

MFGEN_OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(MFGEN_SOURCES)))

TCOV2LCOV_OBJECTS := $(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(TCOV2LCOV_SOURCES)))

OBJECTS := $(COMPILER_OBJECTS) $(MFGEN_OBJECTS) $(TCOV2LCOV_OBJECTS)

# Used by both the compiler and makefilegen
COMMON_OBJECTS := $(addprefix ../common/, memory.o path.o userinfo.o JSON_Tokenizer.o)

TCOV2LCOV_COMMON_OBJECTS := ../common/memory.o

ifeq ($(LICENSING), yes)
    COMMON_OBJECTS += ../common/license.o
    TCOV2LCOV_COMMON_OBJECTS += ../common/license.o
endif

ifdef REGEX_DIR
  COMMON_OBJECTS += $(REGEX_DIR)/lib/regex.o
endif

COMPILER_COMMON_OBJECTS := $(COMMON_OBJECTS) \
$(addprefix ../common/, new.o pattern_la.o pattern_p.o pattern_uni.o Quadruple.o ModuleVersion.o)

ifeq ($(USAGE_STATS), yes)
COMPILER_COMMON_OBJECTS += ../common/usage_stats.o
endif

MFGEN_COMMON_OBJECTS := $(COMMON_OBJECTS) ../common/new.o

DEPFILES := $(patsubst %.cc,%.d,$(patsubst %.c,%.d,$(COMPILER_SOURCES) \
$(MFGEN_SOURCES)))

SUBDIRS := asn1 ttcn3

.PHONY: asn1_dir ttcn3_dir

all run: $(TARGETS)

asn1/libasn1_compiler.a: asn1_dir ;

ttcn3/libttcn3_compiler.a: ttcn3_dir ;

asn1_dir:
	$(MAKE) -C asn1

ttcn3_dir:
	$(MAKE) -C ttcn3

pdf: $(PDFS)

install: $(TARGETS) $(MAYBE_PDFS)
ifeq ($(DEBUG), no)
	$(STRIP) $(TARGETS)
endif
	mkdir -p $(BINDIR)
	cp $(TARGETS) $(BINDIR)
ifdef MINGW
	mkdir -p $(MANDIR)
	cp $(PDFS)    $(MANDIR)
else
	cp tcov.xsd tcov.xsl $(INCDIR)
	cp titanver $(BINDIR)
	chmod a+x $(BINDIR)/titanver
	$(RM) $(BINDIR)/ttcn3_compiler$(EXESUFFIX) \
	$(BINDIR)/asn1_compiler$(EXESUFFIX) $(BINDIR)/makefilegen$(EXESUFFIX)
	ln -s compiler$(EXESUFFIX) $(BINDIR)/ttcn3_compiler$(EXESUFFIX)
	ln -s compiler$(EXESUFFIX) $(BINDIR)/asn1_compiler$(EXESUFFIX)
	ln -s ttcn3_makefilegen$(EXESUFFIX) $(BINDIR)/makefilegen$(EXESUFFIX)
	mkdir -p $(MANDIR)/man1
	cp $(MANPAGES) $(MANDIR)/man1
	$(RM) $(MANDIR)/man1/ttcn3_compiler.1 $(MANDIR)/man1/asn1_compiler.1 \
	$(MANDIR)/man1/makefilegen.1
	ln -s compiler.1 $(MANDIR)/man1/ttcn3_compiler.1
	ln -s compiler.1 $(MANDIR)/man1/asn1_compiler.1
	ln -s ttcn3_makefilegen.1 $(MANDIR)/man1/makefilegen.1
endif

# The compiler always links to OpenSSL (even without LICENSING)
# because it uses bignums.
compiler$(EXESUFFIX): asn1/libasn1_compiler.a ttcn3/libttcn3_compiler.a \
$(COMPILER_OBJECTS) $(COMPILER_COMMON_OBJECTS)
	$(CXX) $(LDFLAGS) -o $@ $(COMPILER_OBJECTS) $(COMPILER_COMMON_OBJECTS) \
	asn1/libasn1_compiler.a ttcn3/libttcn3_compiler.a \
	-lcrypto $(RSLICLIB) $(MINGW_LIBS) $($(PLATFORM)_LIBS)

ttcn3_makefilegen$(EXESUFFIX): $(MFGEN_OBJECTS) $(MFGEN_COMMON_OBJECTS) \
ttcn3/ttcn3_preparser.lex.o asn1/asn1_preparser.lex.o
	$(CXX) $(LDFLAGS) -o $@ $^ -lxml2 $(LICENSE_LIBS) $(MINGW_LIBS)

tcov2lcov$(EXESUFFIX): $(TCOV2LCOV_OBJECTS) $(TCOV2LCOV_COMMON_OBJECTS)
	$(CXX) $(LDFLAGS) -o $@ $^ -lxml2 $(LICENSE_LIBS) $(MINGW_LIBS)

include ../Makefile.genrules

# Target-specific variable alteration
# Target-specific += causes make 3.79.1 to crash, hence this old style
makefile.o: CPPFLAGS :=  $(CPPFLAGS) -DCXX='"$(CXX)"'

# Pre-seed dependencies. Value.cc and Valuestuff.cc include asn1/asn1p.tab.hh
# However, if asn1/asn1p.y is modified, these files are not rebuilt because
# the Value.d contains a dependency on asn1/asn1p.tab.hh, which is not yet
# regenerated.
#
# 1. asn1/asn1p.y is modified
# 2. "make" checks dependencies of Value.o; decides nothing to do
# 3. "make -C asn1" rebuilds asn1p.y, updating asn1p.tab.hh
# 4. Value.o is now out of date
# 5. "make" issued a second time decides that Value.o is out of date
Value.d      Value.o      : asn1/asn1p.tab.hh
Valuestuff.d Valuestuff.o : asn1/asn1p.tab.hh
Constraint.d Constraint.o : asn1/asn1p.tab.hh

=== etc/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Baji, Laszlo
#   Balasko, Jeno
#   Baranyi, Botond
#   Czimbalmos, Eduard
#   Delic, Adam
#   Kovacs, Ferenc
#   Kovacs, Zoltan
#   Ormandi, Matyas
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#   Szalai, Endre
#   Torpis, Zsolt
#
##############################################################################
# Makefile for installing the nedit and xemacs additions

TOP := ..
include ../Makefile.cfg

NEDIT_FILES := $(addprefix nedit/, $(addsuffix .pats, \
ttcn3 ttcn3_config ttcn3_log asn1))

XEMACS_FILES := $(addprefix xemacs/, ttcn3.el ttcn3-indent.el ttcn3-mode-init.el ttcn3-check-init.el ttcn3-cfg.el \
asn1-mode.el asn1-mode-1.0-pkg.tar.gz clearcase-1.08-pkg.tar.gz README.xemacs)

SKELETON_FILES := $(addprefix skeleton/, $(addsuffix .skeleton, \
altstep asn1_module component_type constant control_part data_type function \
import_part module_param port_type signature template testcase ttcn3_module))

XSD_FILES := $(addprefix xsd/, TPD.xsd)

install:
ifdef MINGW
	@echo Skipped ${CURDIR} for MinGW
else
	mkdir -p $(ETCDIR)/xsd
	cp $(XSD_FILES) $(ETCDIR)/xsd
	mkdir -p $(ETCDIR)/asciiart
#	cp asciiart/*.txt $(ETCDIR)/asciiart
	mkdir -p $(ETCDIR)/scripts
	cp scripts/*.py $(ETCDIR)/scripts
endif

=== function_test/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Balasko, Jeno
#   Baranyi, Botond
#   Bartha, Norbert
#   Delic, Adam
#   Kovacs, Ferenc
#   Ormandi, Matyas
#   Raduly, Csaba
#
##############################################################################
# Makefile to run the non-interactive tests
DIRS := BER_EncDec RAW_EncDec Text_EncDec XER_EncDec Semantic_Analyser Semantic_Analyser_Csaba Config_Parser

SCRIPTFLAGS :=

# Coverage settings
LCOVDIR := /mnt/TTCN/Tools/lcov-1.7/usr
LCOV := no
ifeq ($(LCOV), yes)
SCRIPTFLAGS += -coverage
endif
# Runtime selection, doesn't have effect on BER/RAW tests yet
RT2 := no
ifeq ($(RT2), yes)
SCRIPTFLAGS += -rt2
endif

# Your platform. Allowed values: SOLARIS, SOLARIS8, LINUX, FREEBSD, WIN32
ifndef PLATFORM
PLATFORM1 := $(shell uname -s)
PLATFORM2 := $(shell uname -r)
PLATFORM3 := $(shell uname -m)

ifeq ($(PLATFORM1), SunOS)
  ifeq ($(PLATFORM2), 5.6)
    PLATFORM := SOLARIS
  else
    PLATFORM := SOLARIS8
  endif # 5.6
endif # SunOS
ifeq ($(PLATFORM1), Linux)
  PLATFORM := LINUX
endif # Linux
ifeq ($(PLATFORM1), FreeBSD)
  PLATFORM := FREEBSD
endif # FreeBSD
ifeq ($(findstring CYGWIN, $(PLATFORM1)), CYGWIN)
  PLATFORM := WIN32
endif # CYGWIN
ifeq ($(PLATFORM1), Interix)
  PLATFORM := INTERIX
endif # Interix
endif # ifndef PLATFORM
ifndef PLATFORM
	PLEASE CHECK THE ABOVE PLATFORM SETTINGS!!!
endif # ifndef PLATFORM

export PLATFORM

all check run: $(DIRS)

.PHONY: $(DIRS)

BER_EncDec:
	cd $@; ./run_test $(SCRIPTFLAGS)

RAW_EncDec:
	cd $@; ./run_test $(SCRIPTFLAGS)

Text_EncDec:
	cd $@; if [ ! -f perl ] ; then ln -s `which perl` perl; fi; ./run_test $(SCRIPTFLAGS)

XER_EncDec:
	cd $@; ./run_test $(SCRIPTFLAGS)

Semantic_Analyser:
	cd $@; if [ ! -f perl ] ; then ln -s `which perl` perl; fi; ./run_test_all $(SCRIPTFLAGS)

Semantic_Analyser_Csaba:
	make run -f Makefile.semantic -C Semantic_Analyser

Config_Parser:
	cd $@; if [ ! -f perl ] ; then ln -s `which perl` perl; fi; ./run_test $(SCRIPTFLAGS)

profile: $(DIRS)
	make all
	$(LCOVDIR)/bin/lcov -d .. -c -o functest_coverage.info
	$(LCOVDIR)/bin/genhtml -o functest_coverage -t "TITAN Function Test Coverage" functest_coverage.info

# It's a 50-50
clean:
	for d in $(DIRS); do if [ -f $$d/Makefile ]; then $(MAKE) -C $$d clean; else : ; fi done

$(CURDIR)/Makefile.personal:
	ln -s $(CURDIR)/../$(@F) $(CURDIR)/
include $(CURDIR)/Makefile.personal

=== loggerplugins/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Balasko, Jeno
#   Delic, Adam
#   Raduly, Csaba
#   Susanszky, Eszter
#
##############################################################################
DIRS := \
JUnitLogger TSTLogger JUnitLogger2

all run dep clean distclean install:
	for d in $(DIRS); do $(MAKE) -C $$d $@ || exit 1; done

=== regression_test/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   
#   Balasko, Jeno
#   Baranyi, Botond
#   Beres, Szabolcs
#   Czerman, Oliver
#   Delic, Adam
#   Dimitrov, Peter
#   Forstner, Matyas
#   Godar, Marton
#   Hanko, Matyas
#   Koppany, Csaba
#   Kovacs, Ferenc
#   Lovassy, Arpad
#   Ormandi, Matyas
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Bence Janos
#   Szabo, Janos Zoltan – initial implementation
#   Szalai, Gabor
#   Tatarka, Gabor
#   Zalanyi, Balazs Andor
#
##############################################################################
# Settings for the regression test

TOPDIR := $(CURDIR)
include $(TOPDIR)/Makefile.regression

DIRS := intOper boolOper floatOper bitstrOper octetstrOper charOper charstrOper \
verdictOper recordOper recofOper setOper setofOper setofMatch unionOper \
enumOper arrayOper anytypeOper templateInt templateBool templateFloat templateBitstr \
templateOctetstr templateChar templateCharstr templateRec templateRecof \
templateSet templateSetof templateUnion templateEnum modifiedTemplate \
basicStatem configOper commMessage commProcedure lostTimer controlTimer \
BER BER_x682 ASN1 predefFunction ERC preCompilerFlags functionReference \
nonMandatoryPar logFiles logger_control namedActualParameters \
assignmentNotation omitdef anytype RAW implicitMsgEncoding pattern_quadruples \
macros visibility hexstrOper ucharstrOper objidOper CRTR00015758 slider \
XML ipv6 implicitOmit testcase_defparam transparent HQ16404 cfgFile \
all_from lazyEval tryCatch text2ttcn json junitlogger ttcn2json profiler templateOmit \
customEncoding makefilegen uidChars checkstate hostid

ifdef DYN
DIRS += loggerplugin
endif

ifdef RT2
DIRS += typeCompat negativeTest
endif

# List of fake targets:
.PHONY: all dep clean run $(DIRS) $(addsuffix /, $(DIRS)) coverage compileonly

# Export all variables to the sub-directories.
#export

all dep clean distclean:
	$(MAKE) -C compileonly $@
	for dir in $(DIRS); do $(MAKE) -C $$dir $@ || exit; done
	$(RM) report.txt

run:
	for dir in $(DIRS); do $(MAKE) -C $$dir $@ || exit; done


# It is assumed, that the TITAN sources are available in `..'.  Please note,
# that if TITAN was compiled with coverage enabled, only this target will
# work properly.
coverage:
	$(LCOV_DIR)/bin/lcov -d .. -z
	make report LCOV=1
	$(LCOV_DIR)/bin/lcov -d .. -c -o regtest_coverage.info
	$(LCOV_DIR)/bin/genhtml -o regtest_coverage -t "TITAN Regression Test Coverage" regtest_coverage.info

compileonly $(DIRS) $(addsuffix /, $(DIRS)):
	$(MAKE) -C $@

# Build in parallel
parallel build-par: compileonly $(DIRS)

# To generate a report:
# First, build everything (incl. compileonly); possibly in parallel.
# Then, run the runnable tests in sequence (avoids garbled output).
report.txt: parallel
	bash -c 'set -o pipefail; $(MAKE) run 2>&1 | tee report.txt'

report: report.txt
	@echo "----------------------------------"
	@echo "List of tests not 100% successful:"
	@echo "----------------------------------"
	@perl vcheck.pl report.txt

testclean:
	$(MAKE) -C .. $@

rclean:
	$(MAKE) clean 'DIRS=$(filter-out $(TESTDIRS), $(DIRS))'

prereq:
	./prereq.pl ${MAKELEVEL}

$(TOPDIR)/Makefile.personal:
	ln -s $(TOPDIR)/../$(@F) $(TOPDIR)/

unexport DIRS

include Makefile.regression
export PLATFORM

=== conformance_test/positive_tests/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Kirjak, Adrien
#
# not ready
##############################################################################
#TOPDIR := ../..
#include $(TOPDIR)/Makefile.regression

#ifdef LCOV
#COVERAGE_FLAG := -C
#endif

MAKE := make

MAKECLEAN := make clean

run:
	$(TTCN3_DIR)/bin/ttcn3_makefilegen -f -t pos_conf_tests.tpd && \
	cd bin && \
	$(MAKE) && \
	$(TTCN3_DIR)/bin/ttcn3_start pos_conf_tests pos_conf_tests.cfg && \
	cd ..

clean:
	cd bin && \
	$(MAKECLEAN) && \
	cd .. 

.PHONY: all clean run

=== regression_test/BER/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Balasko, Jeno
#   Delic, Adam
#   Forstner, Matyas
#   Koppany, Csaba
#   Kovacs, Ferenc
#   Raduly, Csaba
#   Szabo, Janos Zoltan – initial implementation
#
##############################################################################
TOPDIR := ..
include $(TOPDIR)/Makefile.regression

.SUFFIXES: .ttcn .asn .hh
.PHONY: all clean dep run

TTCN3_LIB = ttcn3$(RT2_SUFFIX)$(DYNAMIC_SUFFIX)

TTCN3_MODULES = Regr.ttcn
ASN1_MODULES = Regr1.asn Regr2.asn

GENERATED_SOURCES = $(TTCN3_MODULES:.ttcn=.cc) $(ASN1_MODULES:.asn=.cc)
GENERATED_HEADERS = $(TTCN3_MODULES:.ttcn=.hh) $(ASN1_MODULES:.asn=.hh)
ifdef CODE_SPLIT
GENERATED_SOURCES := $(foreach file, $(GENERATED_SOURCES:.cc=), $(addprefix $(file), .cc _seq.cc _set.cc  _seqof.cc _setof.cc _union.cc))
endif

# Source & header files of Test Ports and your other modules:
USER_SOURCES = MyPort1.cc MyPort2.cc
USER_HEADERS = MyPort1.hh MyPort2.hh

OBJECTS = $(GENERATED_SOURCES:.cc=.o) $(USER_SOURCES:.cc=.o)

TARGET = Regr$(EXESUFFIX)

all: $(TARGET)

$(TARGET): $(GENERATED_SOURCES) $(USER_SOURCES)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ -L$(TTCN3_DIR)/lib -l$(TTCN3_LIB) -L$(OPENSSL_DIR)/lib -lcrypto $($(PLATFORM)_LIBS)

$(GENERATED_SOURCES) $(GENERATED_HEADERS): $(TTCN3_MODULES) $(ASN1_MODULES)
	$(TTCN3_COMPILER) $^

clean distclean:
	-rm -f $(TARGET) $(OBJECTS) $(GENERATED_HEADERS) \
	$(GENERATED_SOURCES) *.log *~ Makefile.bak core

dep: $(GENERATED_SOURCES)
	makedepend $(CPPFLAGS) $(USER_SOURCES) $(GENERATED_SOURCES)

run: $(TARGET) Regr.cfg
	./$^

MyPort1.o: MyPort1.hh Regr.hh Regr2.hh Regr1.hh
MyPort1.o: MyPort2.hh
MyPort2.o: MyPort2.hh Regr.hh Regr2.hh Regr1.hh
MyPort2.o: MyPort1.hh
Regr.o: Regr.hh Regr2.hh Regr1.hh
Regr.o: MyPort1.hh MyPort2.hh
Regr1.o: Regr1.hh
Regr2.o: Regr2.hh Regr1.hh

ifdef SRCDIR
$(foreach src, $(USER_SOURCES), $(eval vpath $(src) $(ABS_SRC)))
endif

=== regression_test/BER_x682/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Balasko, Jeno
#   Delic, Adam
#   Koppany, Csaba
#   Kovacs, Ferenc
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#
##############################################################################
TOPDIR := ..
include $(TOPDIR)/Makefile.regression

.PHONY: all clean dep run

TTCN3_LIB = ttcn3$(RT2_SUFFIX)$(DYNAMIC_SUFFIX)

TTCN3_MODULES = X.ttcn
ASN1_MODULES = X682.asn

GENERATED_SOURCES = $(TTCN3_MODULES:.ttcn=.cc) $(ASN1_MODULES:.asn=.cc)
GENERATED_HEADERS = $(TTCN3_MODULES:.ttcn=.hh) $(ASN1_MODULES:.asn=.hh)
ifdef CODE_SPLIT
GENERATED_SOURCES := $(foreach file, $(GENERATED_SOURCES:.cc=), $(addprefix $(file), .cc _seq.cc _set.cc  _seqof.cc _setof.cc _union.cc))
endif

USER_SOURCES = MyPort1.cc MyPort2.cc
USER_HEADERS = MyPort1.hh MyPort2.hh

OBJECTS = $(GENERATED_SOURCES:.cc=.o) $(USER_SOURCES:.cc=.o)

TARGET = X$(EXESUFFIX)

all: $(TARGET)

$(TARGET): $(GENERATED_SOURCES) $(USER_SOURCES)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ -L$(TTCN3_DIR)/lib -l$(TTCN3_LIB) \
	-L$(OPENSSL_DIR)/lib -lcrypto $($(PLATFORM)_LIBS)

$(GENERATED_SOURCES) $(GENERATED_HEADERS): compile

compile: $(TTCN3_MODULES) $(ASN1_MODULES)
	$(TTCN3_COMPILER) $^
	touch compile

clean distclean:
	-rm -f $(TARGET) $(OBJECTS) $(GENERATED_HEADERS) \
	$(GENERATED_SOURCES) compile *.log

dep: $(GENERATED_SOURCES)
	makedepend $(CPPFLAGS) $(USER_SOURCES) $(GENERATED_SOURCES)

run: $(TARGET) X.cfg
	./$^

MyPort1.o: MyPort1.hh X.hh X682.hh MyPort2.hh
MyPort2.o: MyPort2.hh X.hh X682.hh MyPort1.hh
X.o: X.hh X682.hh MyPort1.hh MyPort2.hh
X682.o: X682.hh

ifdef SRCDIR
$(foreach src, $(USER_SOURCES), $(eval vpath $(src) $(ABS_SRC)))
endif

=== regression_test/BER_x682_wa/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Balasko, Jeno
#   Delic, Adam
#   Forstner, Matyas
#   Kovacs, Ferenc
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#
##############################################################################
TOPDIR := ..
include   ../Makefile.regression

.SUFFIXES: .ttcn .asn .hh
.PHONY: all clean dep run

TTCN3_LIB = ttcn3$(RT2_SUFFIX)$(DYNAMIC_SUFFIX)

TTCN3_MODULES = X.ttcn
ASN1_MODULES = x682.asn

GENERATED_SOURCES = $(ASN1_MODULES:.asn=.cc) $(TTCN3_MODULES:.ttcn=.cc)
GENERATED_HEADERS = $(ASN1_MODULES:.asn=.hh) $(TTCN3_MODULES:.ttcn=.hh)
ifdef CODE_SPLIT
GENERATED_SOURCES := $(foreach file, $(GENERATED_SOURCES:.cc=), $(addprefix $(file), .cc _seq.cc _set.cc  _seqof.cc _setof.cc _union.cc))
endif

USER_SOURCES = MyPort1.cc MyPort2.cc
USER_HEADERS = MyPort1.hh MyPort2.hh

OBJECTS = $(GENERATED_SOURCES:.cc=.o) $(USER_SOURCES:.cc=.o)

TARGET = X

all: $(TARGET)

$(TARGET): $(GENERATED_SOURCES) $(USER_SOURCES)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ -L$(TTCN3_DIR)/lib -l$(TTCN3_LIB) \
	-L$(OPENSSL_DIR)/lib -lcrypto $($(PLATFORM)_LIBS)

.ttcn.cc .ttcn.hh:
	$(TTCN3_COMPILER) $<

.asn.cc .asn.hh:
	$(TTCN3_COMPILER) $<

clean distclean:
	-rm -f $(TARGET) $(OBJECTS) $(GENERATED_HEADERS) \
	$(GENERATED_SOURCES) *.log Makefile.bak

dep: $(GENERATED_SOURCES)
	makedepend $(CPPFLAGS) $(USER_SOURCES) $(GENERATED_SOURCES)

run: $(TARGET)
	./$(TARGET) X.cfg

.NOTPARALLEL:

=== regression_test/CRTR00015758/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Baji, Laszlo
#   Balasko, Jeno
#   Raduly, Csaba
#
##############################################################################
TOPDIR := ..
include ../Makefile.regression

# WARNING! This Makefile can be used with GNU make only.
# Other versions of make may report syntax errors in it.

#
# Do NOT touch this line...
#
.PHONY: all archive check clean dep objects

.SUFFIXES: .d

#
# Set these variables...
#

#export LD_LIBRARY_PATH:=$(TTCN3_DIR)/lib:$(LD_LIBRARY_PATH)


# Flags for dependency generation
CXXDEPFLAGS = -MM

# Execution mode: (either ttcn3 or ttcn3-parallel)
TTCN3_LIB = ttcn3$(RT2_SUFFIX)-parallel$(DYNAMIC_SUFFIX)
#-dynamic

#
# You may change these variables. Add your files if necessary...
#

# TTCN-3 modules of this project:
TTCN3_MODULES = no.ttcn

# ASN.1 modules of this project:
ASN1_MODULES =

# C++ source & header files generated from the TTCN-3 & ASN.1 modules of
# this project:
GENERATED_SOURCES = $(TTCN3_MODULES:.ttcn=.cc) $(ASN1_MODULES:.asn=.cc)
GENERATED_HEADERS = $(GENERATED_SOURCES:.cc=.hh)

# C/C++ Source & header files of Test Ports, external functions and
# other modules:
USER_SOURCES =
USER_HEADERS = $(USER_SOURCES:.cc=.hh)

# Object files of this project that are needed for the executable test suite:
OBJECTS = $(GENERATED_OBJECTS) $(USER_OBJECTS)

GENERATED_OBJECTS = $(GENERATED_SOURCES:.cc=.o)

USER_OBJECTS = $(USER_SOURCES:.cc=.o)

DEPFILES = $(USER_OBJECTS:.o=.d)  $(GENERATED_OBJECTS:.o=.d)

# Other files of the project (Makefile, configuration files, etc.)
# that will be added to the archived source files:
OTHER_FILES = Makefile logfilecheck $(wildcard *.cfg)

# The name of the executable test suite:
TARGET = no$(EXESUFFIX)


#
# Rules for building the executable...
#

all: $(TARGET) ;

objects: $(OBJECTS) ;

$(TARGET): $(GENERATED_SOURCES)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ \
	-L$(TTCN3_DIR)/lib -l$(TTCN3_LIB) \
	-L$(OPENSSL_DIR)/lib -lcrypto \
	-L$(XMLDIR)/lib $($(PLATFORM)_LIBS)

.cc.o .c.o:
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) -o $@ $<

.cc.d .c.d:
	@echo Creating dependency file for '$<'; set -e; \
	$(CXX) $(CXXDEPFLAGS) $(CPPFLAGS) $(CXXFLAGS) $< \
	| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
	[ -s $@ ] || rm -f $@

$(GENERATED_SOURCES) $(GENERATED_HEADERS): compile
	@if [ ! -f $@ ]; then $(RM) compile; $(MAKE) compile; fi

compile: $(TTCN3_MODULES) $(ASN1_MODULES)
	$(TTCN3_COMPILER) $(COMPILER_FLAGS) $^ - $?
	touch $@

clean distclean:
	-$(RM) $(TARGET) $(OBJECTS) $(GENERATED_HEADERS) \
	$(GENERATED_SOURCES) compile $(DEPFILES) \
	tags *.log

dep: $(GENERATED_SOURCES) $(USER_SOURCES) ;

ifeq ($(findstring n,$(MAKEFLAGS)),)
ifeq ($(filter clean distclean check compile archive diag,$(MAKECMDGOALS)),)
-include $(DEPFILES)
endif
endif


#
# Add your rules here if necessary...
#
IP := 127.0.0.1
run: $(TARGET)
#	clear the field because logging is in append mode
	-rm *.log
	$(TTCN3_DIR)/bin/ttcn3_start no $(ABS_SRC)/config.cfg -ip ${IP}
	$(TTCN3_DIR)/bin/ttcn3_start no $(ABS_SRC)/trouble.cfg
	$(ABS_SRC)/logfilecheck

=== regression_test/ERC/Makefile ===
##############################################################################
# Copyright (c) 2000-2016 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
#   Balasko, Jeno
#   Delic, Adam
#   Kovacs, Ferenc
#   Raduly, Csaba
#   Szabados, Kristof
#   Szabo, Janos Zoltan – initial implementation
#
##############################################################################
TOPDIR := ..
include $(TOPDIR)/Makefile.regression

.SUFFIXES: .ttcn .hh
.PHONY: all clean dep run run-single run-parallel

TTCN3_MODULES = erc.ttcn

GENERATED_SOURCES = $(TTCN3_MODULES:.ttcn=.cc)
GENERATED_HEADERS = $(GENERATED_SOURCES:.cc=.hh)
ifdef CODE_SPLIT
GENERATED_SOURCES := $(foreach file, $(GENERATED_SOURCES:.cc=), $(addprefix $(file), .cc _seq.cc _set.cc  _seqof.cc _setof.cc _union.cc))
endif

OBJECTS = $(GENERATED_SOURCES:.cc=.o)

SINGLE_TARGET = erc_single$(EXESUFFIX)
PARALLEL_TARGET = erc_parallel$(EXESUFFIX)

all: $(SINGLE_TARGET) $(PARALLEL_TARGET)

$(SINGLE_TARGET): $(OBJECTS)
	$(CXX) $(LDFLAGS) -o $@ $(OBJECTS) -L$(TTCN3_DIR)/lib -lttcn3$(RT2_SUFFIX)$(DYNAMIC_SUFFIX) -L$(OPENSSL_DIR)/lib -lcrypto $($(PLATFORM)_LIBS)

$(PARALLEL_TARGET): $(OBJECTS)
	$(CXX) $(LDFLAGS) -o $@ $(OBJECTS) -L$(TTCN3_DIR)/lib -lttcn3$(RT2_SUFFIX)-parallel$(DYNAMIC_SUFFIX) -L$(OPENSSL_DIR)/lib -lcrypto $($(PLATFORM)_LIBS)

.cc.o:
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $<

.ttcn.cc .ttcn.hh:
	$(TTCN3_COMPILER) $<

clean distclean:
	-rm -f $(SINGLE_TARGET) $(PARALLEL_TARGET) $(OBJECTS) $(GENERATED_HEADERS) \
	$(GENERATED_SOURCES) *.log Makefile.bak

dep: $(GENERATED_SOURCES)
	makedepend $(CPPFLAGS) $(GENERATED_SOURCES)

run: run-single run-parallel

run-single: $(SINGLE_TARGET) config.cfg
	env env_test="variable" ./$^

run-parallel: $(PARALLEL_TARGET) config.cfg
	env env_test="variable" '$(TTCN3_DIR)/bin/ttcn3_start' $^

.NOTPARALLEL:

=== debian/changelog ===
eclipse-titan (5.5.1-1) unstable; urgency=low

  * New release.
    + Fixed errors with OpenSSL 1.1.0 (Closes: #828289)
  * Standards-Version bump to 3.9.8 (no changes needed)
  * debian/rules:
    - Removed unnecessary exported variables and options

 -- Gergely Pilisi <mail.pilisig@gmail.com>  Thu, 14 Jul 2016 07:38:57 +0200

eclipse-titan (5.4.1-2) unstable; urgency=low

  * debian/rules: 
    - Set DEB_BUILD_MAINT_OPTIONS rather than DEB_BUILD_OPTIONS
      (Closes: #823489) 

 -- Gergely Pilisi <mail.pilisig@gmail.com>  Wed, 11 May 2016 09:08:19 +0200

eclipse-titan (5.4.1-1) unstable; urgency=low

  * Initial release. (Closes: #808137)

 -- Gergely Pilisi <mail.pilisig@gmail.com>  Tue, 23 Feb 2016 17:26:56 +0100

=== debian/control ===
Source: eclipse-titan
Maintainer: Gergely Pilisi <mail.pilisig@gmail.com>
Homepage: https://github.com/eclipse/titan.core
Section: java
Priority: optional
Standards-Version: 3.9.8
Build-Depends: bison,
               debhelper (>=9),
               default-jdk,
               expect,
               flex,
               libncurses5-dev,
               libssl-dev,
               libxml2-dev

Package: eclipse-titan
Architecture: any
Depends: default-jdk,
         expect,
         libpcap-dev,
         libpcre3-dev,
         libsctp-dev,
         libssl-dev,
         libxml2-dev,
         make,
         perl,
         python,
         ${misc:Depends},
         ${shlibs:Depends}
Description: TITAN TTCN-3 toolset from the Eclipse project
 TTCN-3 is a standardized, modular language specifically designed for testing.
 Eclipse Titan offers a free and open source (FOSS) compiler both for TTCN-3
 and for ASN.1

=== debian/rules ===
#!/usr/bin/make -f
export V=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

%:
	dh $@ --verbose --parallel

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/Install/lib

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/eclipse-titan prefix=/usr install
